Permalink
Browse files

Thrift-1714:Explicitly add CWD to Ruby test_suites.rb

Client: rb
Patch: Nathan Beyer

test/rb/Makefile.am contains a invocation or the ruby interpreter to run test_suites.rb that needs modification to run correctly on Ruby 1.9+. Ruby 1.9+ doesn't include the CWD by default anymore.




git-svn-id: https://svn.apache.org/repos/asf/thrift/trunk@1394906 13f79535-47bb-0310-9956-ffa450edef68
  • Loading branch information...
1 parent 96be007 commit be7493ee3275b6737c6f183a8b90e289820a51cd @jfarrell jfarrell committed Oct 6, 2012
Showing with 1 addition and 1 deletion.
  1. +1 −1 test/rb/Makefile.am
View
@@ -24,5 +24,5 @@ stubs: ../ThriftTest.thrift ../SmallTest.thrift
$(THRIFT) --gen rb ../SmallTest.thrift
check: stubs
- $(RUBY) test_suite.rb
+ $(RUBY) -I. test_suite.rb

0 comments on commit be7493e

Please sign in to comment.